#include <iostream>

using namespace std;

int main()
{
    int n, m;
    cin >> n >> m;
    int brojac = 0;
    for(int i = 1; i <= n; i++){
        if(i == n){
            brojac += m;
        }
        else if(i == 1){
            brojac += m;
        }
        else if(i % 2 == 0){
            if(m % 2 == 0){
                brojac = brojac + (m / 2 + 1);
            }
            else{
                    brojac = brojac + (m / 2 + 1);
            }
        }
        else if(i % 2 != 0){
            if(m % 2 == 0){
                brojac = brojac + (m / 2 + 1);
            }
            else{
                    brojac = brojac + (m / 2 + 2);
            }
        }
    }
    cout << brojac << endl;
    return 0;
}